PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::FilterImpl< PropertyT, Geometry2DCylindrical > Struct Template Reference

Filter which provides data in 2D cylindrical space. More...

`#include <plask/filters/filter.hpp>`

Inheritance diagram for plask::FilterImpl< PropertyT, Geometry2DCylindrical >:
[legend]
Collaboration diagram for plask::FilterImpl< PropertyT, Geometry2DCylindrical >:
[legend]

## Public Member Functions
| FilterImpl (shared_ptr< Geometry2DCylindrical > geometry)
ReceiverFor< PropertyT, Geometry3D > & | input (GeometryObjectD< 3 > &outerObj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry2DCylindrical > & | input (Geometry2DCylindrical &obj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry2DCartesian > & | input (Geometry2DCartesian &, const PathHints *=nullptr) override
ReceiverFor< PropertyT, Geometry2DCylindrical > & | input (GeometryObjectD< 2 > &obj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | input (shared_ptr< GeometryObjectD< 2 > > obj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (GeometryObjectD< 3 > &outerObj, const PathHints *path=nullptr, std::size_t pointsCount=10)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (shared_ptr< GeometryObjectD< 3 > > outerObj, const PathHints *path=nullptr, std::size_t pointsCount=10)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | setOuter (GeometryObjectD< 2 > &outerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | setOuter (shared_ptr< GeometryObjectD< 2 > > outerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | setOuter (Geometry2DCylindrical &outerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | setOuter (shared_ptr< Geometry2DCylindrical > outerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner (GeometryObjectD< 2 > &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner (shared_ptr< GeometryObjectD< 2 > > innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner (Geometry2DCylindrical &innerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner (shared_ptr< Geometry2DCylindrical > innerGeom, const PathHints *path=nullptr)

## Detailed Description

template<typename PropertyT>
struct plask::FilterImpl< PropertyT, Geometry2DCylindrical >

Filter which provides data in 2D cylindrical space.

It can have one or more inner (2D) inputs and one outer (2D or 3D) input or default value (which is used in all points where inner inputs don't provide data).

Template Parameters

  PropertyT | property which has type FIELD_PROPERTY

Definition at line 667 of file filter.hpp.

## Constructor & Destructor Documentation

## ◆ FilterImpl()

template<typename PropertyT >

plask::FilterImpl< PropertyT, Geometry2DCylindrical >::FilterImpl | ( | shared_ptr< Geometry2DCylindrical > | geometry | ) |
| inline

Definition at line 669 of file filter.hpp.

## Member Function Documentation

## ◆ appendInner() [1/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::appendInner | ( | Geometry2DCylindrical & | innerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 742 of file filter.hpp.

## ◆ appendInner() [2/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::appendInner | ( | GeometryObjectD< 2 > & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 728 of file filter.hpp.

## ◆ appendInner() [3/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::appendInner | ( | shared_ptr< Geometry2DCylindrical > | innerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 746 of file filter.hpp.

## ◆ appendInner() [4/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::appendInner | ( | shared_ptr< GeometryObjectD< 2 > > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 738 of file filter.hpp.

## ◆ input() [1/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::input | ( | Geometry2DCartesian & | ,
|  | const PathHints * | = `nullptr`
| ) |  |
| inline override

Definition at line 683 of file filter.hpp.

## ◆ input() [2/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::input | ( | Geometry2DCylindrical & | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 679 of file filter.hpp.

## ◆ input() [3/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::input | ( | GeometryObjectD< 2 > & | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 687 of file filter.hpp.

## ◆ input() [4/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::input | ( | GeometryObjectD< 3 > & | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 675 of file filter.hpp.

## ◆ input() [5/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::input | ( | shared_ptr< GeometryObjectD< 2 > > | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 694 of file filter.hpp.

## ◆ setOuter() [1/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::setOuter | ( | Geometry2DCylindrical & | outerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 720 of file filter.hpp.

## ◆ setOuter() [2/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::setOuter | ( | GeometryObjectD< 2 > & | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 708 of file filter.hpp.

## ◆ setOuter() [3/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::setOuter | ( | GeometryObjectD< 3 > & | outerObj,
|  | const PathHints * | path = `nullptr`,
|  | std::size_t | pointsCount = `10`
| ) |  |
| inline

Definition at line 698 of file filter.hpp.

## ◆ setOuter() [4/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::setOuter | ( | shared_ptr< Geometry2DCylindrical > | outerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 724 of file filter.hpp.

## ◆ setOuter() [5/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::setOuter | ( | shared_ptr< GeometryObjectD< 2 > > | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 716 of file filter.hpp.

## ◆ setOuter() [6/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry2DCylindrical >::setOuter | ( | shared_ptr< GeometryObjectD< 3 > > | outerObj,
|  | const PathHints * | path = `nullptr`,
|  | std::size_t | pointsCount = `10`
| ) |  |
| inline

Definition at line 704 of file filter.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/filter.hpp